Skip to main content
GET
/
v1
/
dashboard
/
risk-heatmap
Get Risk Heatmap
curl --request GET \
  --url https://api.example.com/v1/dashboard/risk-heatmap \
  --header 'Authorization: Bearer <token>'
{
  "cells": [
    {
      "domain": "<string>",
      "category": "<string>",
      "risk_score": 123,
      "issue_count": 123
    }
  ],
  "updated_at": "<string>",
  "rows": [
    "<string>"
  ],
  "cols": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

window
string
default:30d
group_by
string
default:source

Response

Successful Response

window
enum<string>
required
Available options:
7d,
30d,
90d
group_by
enum<string>
required
Available options:
source,
domain,
team
cells
RiskCell · object[]
required
updated_at
string
required
rows
string[]
cols
string[]